var main_tizen = {
}
var player = null;
var transfer = false;
var manager = false;
var timerService = null;
$(document).ready(function(){
	document.addEventListener('keydown', self.onKeyDown, false);
	try{
		if(!player){
			player = new PlayerController();
			$(player).on("PlayerDataLoaded",onPlayerDataLoaded);
			player.init();
		}
	}catch(e){
		$("#starter").html("System in recovery mode.");
		var archive = [];
		try{
			archive = player.dataManager.getArchiveFiles();
		}catch(e){
			console.log("No Archive !");
		}
		try{
			if(!transfer){
					transfer = new TransferService();
					transfer.setTimeCallback = player.setUseServerTime;
					transfer.init(player.version,player.platform);
			}
			transfer.activateLogger(player.debug);
			transfer.update(player.timestamp,archive);
		}catch(e){
			console.log("Unable to start transfer");
		}
		try{
			schedule = player.config.getScheduleConfig();
		}catch(e){
			console.log("No Schedule !");
		}
		try{
			if(!manager){
					manager = new ManagerService();
					manager.init();
			}
			manager.activateLogger(player.debug);
			manager.update(schedule);
		}catch(e){
			console.log("Unable to start manager");
		}
	}
});


function onPlayerDataLoaded(){
	$("#starter").hide();
	var archive = [];
	try{
		archive = player.dataManager.getArchiveFiles();
	}catch(e){
		console.log("No Archive !");
	}
	try{
		if(!transfer){
				transfer = new TransferService();
				transfer.setTimeCallback = player.setUseServerTime;
				transfer.init(player.version,player.platform);
		}
		transfer.activateLogger(player.debug);
		transfer.update(player.timestamp,archive);
	}catch(e){
		console.log("Unable to start transfer");
	}
	try{
		schedule = player.config.getScheduleConfig();
	}catch(e){
		console.log("No Schedule !");
	}
	try{
		if(!manager){
				manager = new ManagerService();
				manager.init();
		}
		manager.activateLogger(player.debug);
		manager.update(schedule);
	}catch(e){
		console.log("Unable to start manager");
	}
	setTimeout(function(){
		if(!timerService){
			timerService = new TimerService();
		}
		timerService.checkTimers(schedule);
	}, 15000);
	setTimeout(function(){transfer.OS.insertTimersOrReboot(player.config.getForceReboot24h());}, 30000);
}


this.onKeyDown = function (event) {
	"use strict";
	var keyCode = event.keyCode;

	switch (keyCode) {
	    case 38:    // MediaPause
	    	player.debug = !player.debug;
				try{
					player.setLogger($("#playerLog"));
					player.activateLogger(player.debug);
				}catch(e){
					console.log("Error on player toggle debug");
				}
				try{
					transfer.setLogger($("#transferLog"));
					transfer.activateLogger(player.debug);
					manager.setLogger($("#transferLog"));
				}catch(e){
					console.log("Error on transfer toggle debug");
				}
			break;
		default:
			player.log(keyCode);
		break;
	}
};
